#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define COLORS " \033[41;31m++ \033[42;32m++ \033[43;33m++ \033[44;34m++ \033[45;35m++ \033[46;36m++\033[0m"
#define FONT_COLOR "\033[1;37m"
#define BAR_WIDTH 10
/* Uncomment if you use firacode font */
/* #define FIRA_CODE */

/* Full path to capacity file */
/* Example: /sys/class/power_supply/battery/capacity */
#define BATT_NAME NULL

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{" pc:       ", Blank},
	{"  - mem    ", GetMem},
	{"  - kr     ", GetKernel},
	{"  - ar     ", GetArch},
	{"  - mod    ", GetModel},
	{"  - ht     ", GetHostname},
	{"           ", Blank},
	{"  - info: ", Blank},
	{"     - os  ", PrintOs},
	{"     - shl ", GetShell},
	{"     - pkg ", GetPkg},
	{"     - up  ", GetUptime},
	{"     - avg ", GetAVG},
	{"     - bat ", GetBattery},
	{"           ", Blank},
	{COLORS,   Blank}
};

#endif

#endif
