#ifndef _CONFIG_H
#define _CONFIG_H

#include "fetch.h"

typedef struct {
	char *title;
	int (*func)(const char *title, const FETCH fetch);
} PARAMETR;

/* Config, EDIT THERE */
#define COLORS "\033[31m<> \033[32m<> \033[33m<> \033[34m<> \033[35m<> \033[36m<>\033[0m"
#define FONT_COLOR "\033[1;37m"
#define BAR_WIDTH 10
/* Uncomment if you use firacode font */
/* #define FIRA_CODE */

/* Full path to capacity file */
/* Example: /sys/class/power_supply/battery/capacity */
#define BATT_NAME NULL

#ifdef _MAIN_H
PARAMETR CONFIG[] = {
	{"   os ", PrintOs},
	{"   kr ", GetKernel},
	{"  usr ", GetUser},
	{"  upt ", GetUptime},
	{" arch ", GetArch},
	{"shell ", GetShell},
	{" pkgs ", GetPkg},
	{"  mem ", GetMem},
	{"model ", GetModel},
	{" host ", GetHostname},
	{" lAVG ", GetAVG},
	{" batt ", GetBattery},
	{"      ", Blank},
	{COLORS,   Blank}
};

#endif

#endif
